<?php
# This class implements a new session provider based on the MediaWiki
# CookieSessionProvider.
class NoRememberSessionProvider
 extends MediaWiki\Session\CookieSessionProvider {

    # The only reason this class exists is to override a single
    # function from the original: getRememberUserDuration().
    public function getRememberUserDuration() {
        # We never ever want to show the "Keep me logged in" option.
        return null;
    }
}
